package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassessattackriskfactors.ElderlyAssessAttackRiskFactorsPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassessattackriskfactors.ElderlyAssessAttackRiskFactorsRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassessattackriskfactors.ElderlyAssessAttackRiskFactorsSaveReqVO;

public interface ElderlyAssessAttackRiskFactorsService {

    Long create(ElderlyAssessAttackRiskFactorsSaveReqVO createReqVO);

    void update(ElderlyAssessAttackRiskFactorsSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyAssessAttackRiskFactorsRespVO get(Long id);

    PageResult<ElderlyAssessAttackRiskFactorsRespVO> getPage(ElderlyAssessAttackRiskFactorsPageReqVO pageReqVO);
}
